Topic
  • 3 replies
  • Latest Post - ‏2012-11-23T04:40:36Z by SystemAdmin
SystemAdmin
SystemAdmin
3234 Posts

Pinned topic LSI 1064e firmware upgrade problem

‏2012-03-30T20:38:46Z |
Hi all,
I'm trying to update the BIOS/firmware of a LSI 1064e SAS Controller, but the process fail.
Comparing Updates
(1) [*] LSI 1064e SAS Controller BIOS and Firmware Update for HS21 XM
Severity : Critical
Reboot : Reboot Required to take effect
Update ID : ibm_fw_mptsas_hs21xm-2.74_linux_32-64
Requisites : None

Update : SAS1064E Firmware
New Version : 1.30.10.00
Installed Version : 0.10.15.00

0 update(s) were not installed because applicable hardware is not present

On the log:

ERROR: firmware update failed for controller 1!
Update of controller 1 BIOS completed successfully.

It updated the BIOS, but not the firmware.

Any suggestions?

Thanks,
Andrea
Updated on 2012-11-23T04:40:36Z at 2012-11-23T04:40:36Z by SystemAdmin
  • SystemAdmin
    SystemAdmin
    3234 Posts

    Re: LSI 1064e firmware upgrade problem

    ‏2012-04-03T01:32:22Z  
    I found the problem, I hope my experience can be helpful for somebody.

    If you have the firmware 0.10.15.00, you can't update it directly to 1.30.10.
    You must have to update it to 1.22.00, reboot, and them update to 1.30.10

    Best regards,
    Andrea
  • SystemAdmin
    SystemAdmin
    3234 Posts

    Re: LSI 1064e firmware upgrade problem

    ‏2012-04-18T08:59:04Z  
    I found the problem, I hope my experience can be helpful for somebody.

    If you have the firmware 0.10.15.00, you can't update it directly to 1.30.10.
    You must have to update it to 1.22.00, reboot, and them update to 1.30.10

    Best regards,
    Andrea
    Thank you for sharing knowledge.
  • SystemAdmin
    SystemAdmin
    3234 Posts

    Re: LSI 1064e firmware upgrade problem

    ‏2012-11-23T04:40:36Z  
    I found the problem, I hope my experience can be helpful for somebody.

    If you have the firmware 0.10.15.00, you can't update it directly to 1.30.10.
    You must have to update it to 1.22.00, reboot, and them update to 1.30.10

    Best regards,
    Andrea
    I encountered exactly same problem on IBM MPT SAS (LSI 1068E-IR) HBAs (installed on IBM x3650 server) which connected to IBM DS3200 storage.

    Unfortunately, I can't find an older firmware for it. The current version is ibm_fw_mptsas_sashba-2.75.

    I'm migrating to CentOS 6.3 x86_64 from Windows Server 2003 32bit, and already successfully upgraded Controller Firmware, NVSRAM firmware, HDD firmware of IBM DS3200 storage, and upgrade BIOS, Diagnostics, BMC firmware, Network(Broadcom NetXtreme II) firmware, HDD firmware of IBM x3650 server. but failed at MPT SAS firmware upgrading.